0a5c:217f [ThinkPad X201s] sysfs: cannot create duplicate filename '/class/bluetooth/hci0:1 2'

Bug #888828 reported by James M. Leddy on 2011-11-11
96
This bug affects 19 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Came back to my computer and started moving my bluetooth mouse around, got this Oops:

[182074.145691] ------------[ cut here ]------------
[182074.145703] WARNING: at /build/buildd/linux-3.0.0/fs/sysfs/dir.c:455 sysfs_a
dd_one+0xc0/0xf0()
[182074.145705] Hardware name: 514328U
[182074.145706] sysfs: cannot create duplicate filename '/class/bluetooth/hci0:1
2'
[182074.145708] Modules linked in: nls_utf8 isofs serpent msr usb_storage uas hi
dp hid joydev bnep rfcomm parport_pc ppdev arc4 snd_hda_codec_hdmi snd_hda_codec
_conexant snd_hda_intel snd_hda_codec thinkpad_acpi btusb snd_hwdep snd_seq_midi
 snd_rawmidi snd_pcm bluetooth iwlagn mac80211 snd_seq_midi_event psmouse serio_
raw intel_ips cfg80211 snd_seq snd_page_alloc snd_timer snd_seq_device mei(C) sn
d tpm_tis soundcore nvram binfmt_misc lp parport dm_crypt ahci libahci i915 drm_
kms_helper e1000e drm i2c_algo_bit video wmi
[182074.145752] Pid: 30238, comm: kworker/u:8 Tainted: G WC 3.0.0-12-gen
eric #20-Ubuntu
[182074.145754] Call Trace:
[182074.145762] [<ffffffff8105e83f>] warn_slowpath_common+0x7f/0xc0
[182074.145765] [<ffffffff8105e936>] warn_slowpath_fmt+0x46/0x50
[182074.145768] [<ffffffff811d8690>] sysfs_add_one+0xc0/0xf0
[182074.145772] [<ffffffff811d9045>] sysfs_do_create_link+0x125/0x210
[182074.145775] [<ffffffff811d85f8>] ? sysfs_add_one+0x28/0xf0
[182074.145778] [<ffffffff811d9143>] sysfs_create_link+0x13/0x20
[182074.145785] [<ffffffff813ca399>] device_add_class_symlinks+0x89/0xe0
[182074.145788] [<ffffffff811d78d6>] ? sysfs_create_file+0x26/0x30
[182074.145791] [<ffffffff813cbcb8>] device_add+0x228/0x3e0
[182074.145793] [<ffffffff813cba6b>] ? device_private_init+0x5b/0x80
[182074.145803] [<ffffffffa02fc5d0>] ? __match_tty+0x40/0x40 [bluetooth]
[182074.145810] [<ffffffffa02fc633>] add_conn+0x63/0x110 [bluetooth]
[182074.145816] [<ffffffffa02fc5d0>] ? __match_tty+0x40/0x40 [bluetooth]
[182074.145822] [<ffffffff8107c09a>] process_one_work+0x11a/0x480
[182074.145825] [<ffffffff8107cd65>] worker_thread+0x165/0x370
[182074.145827] [<ffffffff8107cc00>] ? manage_workers.isra.30+0x130/0x130
[182074.145831] [<ffffffff8108120c>] kthread+0x8c/0xa0
[182074.145836] [<ffffffff815f33e4>] kernel_thread_helper+0x4/0x10
[182074.145839] [<ffffffff81081180>] ? flush_kthread_worker+0xa0/0xa0
[182074.145841] [<ffffffff815f33e0>] ? gs_change+0x13/0x13
[182074.145843] ---[ end trace 66790f2bdb06b760 ]---
[182074.145870] add_conn: Failed to register connection device
[182074.296220] iwlagn 0000:02:00.0: iwlagn_tx_agg_start on ra = c4:3d:c7:a7:ac:
ea tid = 0
[182074.363644] BUG: unable to handle kernel NULL pointer dereference at 0000000
000000039
[182074.365957] IP: [<ffffffff811d87f5>] sysfs_create_dir+0x35/0xc0
[182074.367184] PGD 0
[182074.368374] Oops: 0000 [#1] SMP
[182074.369563] CPU 0
[182074.369572] Modules linked in: nls_utf8 isofs serpent msr usb_storage uas hi
dp hid joydev bnep rfcomm parport_pc ppdev arc4 snd_hda_codec_hdmi snd_hda_codec
_conexant snd_hda_intel snd_hda_codec thinkpad_acpi btusb snd_hwdep snd_seq_midi
 snd_rawmidi snd_pcm bluetooth iwlagn mac80211 snd_seq_midi_event psmouse serio_
raw intel_ips cfg80211 snd_seq snd_page_alloc snd_timer snd_seq_device mei(C) snd tpm_tis soundcore nvram binfmt_misc lp parport dm_crypt ahci libahci i915 drm_kms_helper e1000e drm i2c_algo_bit video wmi
[182074.374868]
[182074.376218] Pid: 1137, comm: bluetoothd Tainted: G WC 3.0.0-12-generic #20-Ubuntu LENOVO 514328U/514328U
[182074.377626] RIP: 0010:[<ffffffff811d87f5>] [<ffffffff811d87f5>] sysfs_create_dir+0x35/0xc0
[182074.379051] RSP: 0018:ffff88012f97dab8 EFLAGS: 00010246
[182074.380465] RAX: ffff8800655c19b0 RBX: ffff880063dad898 RCX: ffff880063dad8a0
[182074.381903] RDX: ffff88000699f028 RSI: 0000000000000000 RDI: ffff880063dad898
[182074.383307] RBP: ffff88012f97dae8 R08: 0000000000000000 R09: ffff88012c56e780
[182074.384873] R10: 0000000000000000 R11: ffffc90000002000 R12: 0000000000000000
[182074.386496] R13: 0000000000000000 R14: ffff880063dadad8 R15: 00000000ffffffea
[182074.388076] FS: 00007f7812b09740(0000) GS:ffff880137c00000(0000) knlGS:0000000000000000
[182074.389566] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[182074.391012] CR2: 0000000000000039 CR3: 0000000130a16000 CR4: 00000000000006f0
[182074.392478] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[182074.393949] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[182074.395426] Process bluetoothd (pid: 1137, threadinfo ffff88012f97c000, task ffff88012c2f0000)
[182074.396938] Stack:
[182074.398400] ffff88012f97dad8 ffff88013701d138 ffff88012f97dae8 ffff880063dad898
[182074.399908] ffff8800655c19b0 0000000000000000 ffff88012f97db28 ffffffff812e9d01
[182074.401443] ffff88012f97db38 ffff880063dad898 ffff8800655c19b0 0000000000000000
[182074.403024] Call Trace:
[182074.404587] [<ffffffff812e9d01>] kobject_add_internal+0xb1/0x200
[182074.406148] [<ffffffff812ea1c7>] kobject_add+0x67/0xc0
[182074.407700] [<ffffffff813cbb8d>] device_add+0xfd/0x3e0
[182074.409264] [<ffffffffa039dd12>] hid_add_device+0x82/0x110 [hid]
[182074.410825] [<ffffffffa0365ffb>] hidp_add_connection+0x34b/0x5b0 [hidp]
[182074.412386] [<ffffffff81081cb0>] ? add_wait_queue+0x60/0x60
[182074.413951] [<ffffffffa0366801>] hidp_sock_ioctl+0x241/0x2d0 [hidp]
[182074.415520] [<ffffffff81284086>] ? security_sk_alloc+0x16/0x20
[182074.417119] [<ffffffff814c66c3>] ? sk_prot_alloc+0x83/0x210
[182074.418680] [<ffffffff81153e9c>] ? kmem_cache_alloc_trace+0x10c/0x140
[182074.420277] [<ffffffff812b696c>] ? apparmor_file_alloc_security+0x2c/0x60
[182074.421815] [<ffffffff814c0110>] sock_do_ioctl+0x30/0x70
[182074.423340] [<ffffffff814c1199>] sock_ioctl+0x79/0x2f0
[182074.424885] [<ffffffff8117939a>] do_vfs_ioctl+0x8a/0x340
[182074.426420] [<ffffffff811796e1>] sys_ioctl+0x91/0xa0
[182074.428000] [<ffffffff814c3480>] ? sys_socket+0x40/0x70
[182074.429531] [<ffffffff815f22c2>] system_call_fastpath+0x16/0x1b
[182074.431063] Code: 83 ec 18 66 66 66 66 90 48 85 ff 48 89 fb 0f 84 98 00 00 00 48 8b 47 18 49 c7 c4 20 8e a4 81 48 85 c0 74 04 4c 8b 60 30 45 31 ed
[182074.431185] 80 7c 24 39 00 75 5b 48 89 df e8 8b 1f 11 00 48 85 c0 74 66
[182074.434564] RIP [<ffffffff811d87f5>] sysfs_create_dir+0x35/0xc0
[182074.436272] RSP <ffff88012f97dab8>
[182074.437971] CR2: 0000000000000039
[182074.509450] ---[ end trace 66790f2bdb06b761 ]---

Now my mouse doesn't work, and oddly the scroll on my synaptics touchpad got broken. I'm not sure if I can reproduce this issue.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gnome-bluetooth 3.2.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
Date: Thu Nov 10 19:10:12 2011
ExecutablePath: /usr/bin/bluetooth-applet
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111011)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-bluetooth
UpgradeStatus: No upgrade log present (probably fresh install)
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: james 1789 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf2520000 irq 44'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:14f15069,17aa2156,00100302 HDA:80862804,17aa21b5,00100000'
   Controls : 12
   Simple ctrls : 6
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 6QHT28WW-1.09'
   Mixer name : 'ThinkPad EC 6QHT28WW-1.09'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 11.10
HibernationDevice: RESUME=UUID=73dca4b5-47c0-4360-8187-88ef3c512554
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111011)
MachineType: LENOVO 514328U
Package: linux (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=21d564c9-b02c-4226-81dc-b9ca1e0ac1a0 ro pcie_aspm=force
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
StagingDrivers: mei
Tags: oneiric running-unity staging
Uname: Linux 3.0.0-12-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/20/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 6QET44WW (1.14 )
dmi.board.name: 514328U
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6QET44WW(1.14):bd04/20/2010:svnLENOVO:pn514328U:pvrThinkPadX201s:rvnLENOVO:rn514328U:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 514328U
dmi.product.version: ThinkPad X201s
dmi.sys.vendor: LENOVO

James M. Leddy (jm-leddy) wrote :

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 888828

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Sorry, not sure how that happened. I'm uploading now.

Changed in linux (Ubuntu):
status: Incomplete → Opinion
status: Opinion → New
Brad Figg (brad-figg) on 2011-11-11
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Was this a one time event, or can you reproduce this?

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest v3.2-rcN kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.2-rc1 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.2-rc1'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

tags: added: needs-upstream-testing
James M. Leddy (jm-leddy) wrote :

This was a one time event. I was hoping that someone would be able to find the bug based on the traceback based on it being a WARN leading to a null pointer. I don't have a consistent reproducer, but I expect this to be a bug upstream unless someone else had fixed it. If it happens again I'll let you know and install mainline.

James M. Leddy (jm-leddy) wrote :
Download full text (10.0 KiB)

Okay, I may be able to reliably reproduce this by rapidly turning on and off the kill switch while moving the mouse. I just had it happen again and now my mouse doesn't work at all. In the process I learned that the kernel somehow gracefully fails from null pointer dereference now.

[849133.198340] iwlagn 0000:02:00.0: RF_KILL bit toggled to disable radio.
[849133.306905] usb 1-1.4: USB disconnect, device number 30
[849133.307090] btusb_intr_complete: hci0 urb ffff88009f94f300 failed to resubmit (19)
[849133.307269] btusb_bulk_complete: hci0 urb ffff88009f94f9c0 failed to resubmit (19)
[849133.307276] btusb_bulk_complete: hci0 urb ffff88012f9850c0 failed to resubmit (19)
[849135.673333] iwlagn 0000:02:00.0: RF_KILL bit toggled to enable radio.
[849136.064300] usb 1-1.4: new full speed USB device number 31 using ehci_hcd
[849141.240485] input: VGP-BMS15 as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/input55
[849141.240785] generic-bluetooth 0005:054C:042B.002F: input,hidraw0: BLUETOOTH HID v1.29 Mouse [VGP-BMS15] on 78:DD:08:B7:3C:25
[849984.091176] iwlagn 0000:02:00.0: RF_KILL bit toggled to disable radio.
[849984.147929] usb 1-1.4: USB disconnect, device number 31
[849984.148059] btusb_intr_complete: hci0 urb ffff88009fb0bf00 failed to resubmit (19)
[849984.148165] btusb_bulk_complete: hci0 urb ffff88009fb0bcc0 failed to resubmit (19)
[849984.148171] btusb_bulk_complete: hci0 urb ffff88009fb0bd80 failed to resubmit (19)
[849984.166025] ------------[ cut here ]------------
[849984.166042] WARNING: at /build/buildd/linux-3.0.0/kernel/workqueue.c:994 __queue_work+0x306/0x320()
[849984.166048] Hardware name: 514328U
[849984.166052] Modules linked in: msr btrfs libcrc32c ufs qnx4 hfsplus hfs minix ntfs vfat msdos fat jfs xfs reiserfs serpent usb_storage uas cdc_acm ppp_deflate zlib_deflate bsd_comp ppp_async crc_ccitt hidp hid joydev bnep rfcomm parport_pc ppdev arc4 snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec thinkpad_acpi snd_hwdep snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event btusb snd_seq bluetooth iwlagn snd_timer snd_seq_device mac80211 psmouse cfg80211 serio_raw snd intel_ips soundcore snd_page_alloc mei(C) nvram tpm_tis binfmt_misc lp parport dm_crypt wmi e1000e i915 ahci drm_kms_helper libahci drm i2c_algo_bit video
[849984.166172] Pid: 14877, comm: khidpd_054c042b Tainted: G C 3.0.0-12-generic #20-Ubuntu
[849984.166176] Call Trace:
[849984.166187] [<ffffffff8105e83f>] warn_slowpath_common+0x7f/0xc0
[849984.166194] [<ffffffff8105e89a>] warn_slowpath_null+0x1a/0x20
[849984.166201] [<ffffffff8107a256>] __queue_work+0x306/0x320
[849984.166209] [<ffffffff81186785>] ? mntput_no_expire+0xa5/0xf0
[849984.166215] [<ffffffff8107a2d5>] queue_work_on+0x25/0x30
[849984.166221] [<ffffffff8107a31f>] queue_work+0x1f/0x30
[849984.166241] [<ffffffffa02c97e3>] hci_conn_del_sysfs+0x23/0x30 [bluetooth]
[849984.166256] [<ffffffffa02bcac5>] hci_conn_put_device+0x25/0x30 [bluetooth]
[849984.166266] [<ffffffffa03980d6>] hidp_session+0x376/0x4a0 [hidp]
[849984.166274] [<ffffffff810572e0>] ? try_to_wake_up+0x200/0x200
[849984.166282] [<ffffffff810572e0>] ? try_to_wake_up+0x20...

Nick Maynard (nick-maynard) wrote :

Same problem here, also happens occasionally on resume from standby. Moving the mouse "too soon" after wake appears to kick off this problem and break my bluetooth mouse permanently until reboot.

Keng-Yu Lin (lexical) on 2012-03-01
tags: added: blocks-hwcert-enablement
Keng-Yu Lin (lexical) wrote :

a few discussion in the thread: http://www.spinics.net/lists/linux-bluetooth/msg15564.html

The patch didn't get itself upstream but gives some hint on the cause as described in: http://www.spinics.net/lists/linux-bluetooth/msg15598.html

Jump to the conclusion: http://www.spinics.net/lists/linux-bluetooth/msg16303.html

James M. Leddy (jm-leddy) wrote :

Hi Keng-Yu,

Thanks for the info, I hope this bug works itself out upstream.

Download full text (5.8 KiB)

Got the same many times per day.

May 22 06:59:58 fqc-book kernel: [108504.150212] ------------[ cut here ]------------
May 22 06:59:58 fqc-book kernel: [108504.150223] WARNING: at /build/buildd/linux-3.2.0/fs/sysfs/dir.c:481 sysfs_add_one+0xc0/0xf0()
May 22 06:59:58 fqc-book kernel: [108504.150226] Hardware name: HP ProBook 4320s
May 22 06:59:58 fqc-book kernel: [108504.150228] sysfs: cannot create duplicate filename '/class/bluetooth/hci0:44'
May 22 06:59:58 fqc-book kernel: [108504.150231] Modules linked in: snd_seq_dummy nls_iso8859_1 nls_cp437 ufs qnx4 hfsplus hfs minix ntfs vfat msdos fat jfs xfs reiserfs ext2 hidp snd_hrtimer pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) dm_crypt snd_usb_audio snd_usbmidi_lib rfcomm parport_pc bnep ppdev btusb bluetooth uvcvideo videodev v4l2_compat_ioctl32 joydev hp_wmi sparse_keymap binfmt_misc snd_hda_codec_hdmi snd_hda_codec_idt arc4 intel_ips snd_hda_intel snd_hda_codec psmouse snd_hwdep rt2800pci serio_raw rt2800lib crc_ccitt rt2x00pci rt2x00lib mac80211 cfg80211 snd_pcm eeprom_93cx6 snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq hp_accel lis3lv02d input_polldev mac_hid snd_timer snd_seq_device snd mei(C) soundcore snd_page_alloc coretemp lp parport btrfs zlib_deflate libcrc32c usbhid hid ums_realtek uas usb_storage i915 wmi drm_kms_helper drm i2c_algo_bit r8169 video
May 22 06:59:58 fqc-book kernel: [108504.150317] Pid: 26735, comm: kworker/u:1 Tainted: G WC O 3.2.0-24-generic #38-Ubuntu
May 22 06:59:58 fqc-book kernel: [108504.150320] Call Trace:
May 22 06:59:58 fqc-book kernel: [108504.150329] [<ffffffff8106725f>] warn_slowpath_common+0x7f/0xc0
May 22 06:59:58 fqc-book kernel: [108504.150333] [<ffffffff81067356>] warn_slowpath_fmt+0x46/0x50
May 22 06:59:58 fqc-book kernel: [108504.150337] [<ffffffff811ed9b0>] sysfs_add_one+0xc0/0xf0
May 22 06:59:58 fqc-book kernel: [108504.150341] [<ffffffff811ee335>] sysfs_do_create_link+0x125/0x210
May 22 06:59:58 fqc-book kernel: [108504.150345] [<ffffffff811ee433>] sysfs_create_link+0x13/0x20
May 22 06:59:58 fqc-book kernel: [108504.150352] [<ffffffff813f0f89>] device_add_class_symlinks+0x89/0xe0
May 22 06:59:58 fqc-book kernel: [108504.150356] [<ffffffff811ec9f6>] ? sysfs_create_file+0x26/0x30
...skipping...
May 22 21:33:00 fqc-book kernel: [156664.319478] sysfs: cannot create duplicate filename '/class/bluetooth/hci0:44'
May 22 21:33:00 fqc-book kernel: [156664.319480] Modules linked in: usblp snd_seq_dummy nls_iso8859_1 nls_cp437 ufs qnx4 hfsplus hfs minix ntfs vfat msdos fat jfs xfs reiserfs ext2 hidp snd_hrtimer pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) dm_crypt snd_usb_audio snd_usbmidi_lib rfcomm parport_pc bnep ppdev btusb bluetooth uvcvideo videodev v4l2_compat_ioctl32 joydev hp_wmi sparse_keymap binfmt_misc snd_hda_codec_hdmi snd_hda_codec_idt arc4 intel_ips snd_hda_intel snd_hda_codec psmouse snd_hwdep rt2800pci serio_raw rt2800lib crc_ccitt rt2x00pci rt2x00lib mac80211 cfg80211 snd_pcm eeprom_93cx6 snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq hp_accel lis3lv02d input_polldev mac_hid snd_timer snd_seq_device snd mei(C) soundcore snd_page_alloc coretemp lp parport btrfs zlib_deflate libcrc32...

Read more...

Piotr Czachur (zimnyx) wrote :

I still see it under 3.5.0-18-generic @ Quantal.

Øyvind Stegard (oyvinst) wrote :

Confirm this on system just recently upgraded to Ubuntu 12.10. The bug hits on resume from suspend, and it makes bluetooth unusable.

Achim Behrens (k1l) wrote :

i have the same with my Bluetooth Keyboard. When it falls in Standby itself, after not typing for some time, i cant use it. Restarting Bluetooth Deamon or turn it on and of with panel indicator doesnt help.

Using 12.10 and cant reproduce on purpose, but does happen after some time nearly every day.

I had the same problems with 12.10 (using an Apple Magic Mouse). I found some mailinglist discussions by developers about this problem and there should be changes in kernel 3.5 addressing these issues.

As the kernel in 12.10 obviously does not have these patches, I tried the 3.7 kernel from the mainline-kernel-ppa (package name indicates that it is for raring, but the kernel works on quantal, too). Using this kernel, the problem is fixed for me.

This problem still occurs occasionally with the raring kernel (3.8.0-13). I didn't see this problem with the mainline kernel 3.7.

Trunone (trunone) wrote :
Download full text (17.0 KiB)

still have same bug with 3.8.0-14

Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701505] ------------[ cut here ]------------
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701525] WARNING: at /build/buildd/linux-3.8.0/fs/sysfs/dir.c:536 sysfs_add_one+0xd4/0x100()
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701529] Hardware name: Aspire S3-391
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701533] sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:21'
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701536] Modules linked in: hid_generic hidp hid parport_pc(F) ppdev(F) rfcomm bnep snd_hda_codec_hdmi snd_hda_codec_realtek joydev(F) coretemp kvm_intel kvm ghash_clmulni_intel(F) aesni_intel(F) aes_x86_64(F) xts(F) lrw(F) gf128mul(F) ablk_helper(F) cryptd(F) acer_wmi sparse_keymap uvcvideo videobuf2_vmalloc ath3k videobuf2_memops videobuf2_core btusb videodev bluetooth snd_hda_intel snd_hda_codec snd_hwdep(F) snd_pcm(F) microcode(F) arc4(F) snd_page_alloc(F) snd_seq_midi(F) snd_seq_midi_event(F) snd_rawmidi(F) wmi ath9k ath9k_common ath9k_hw ath snd_seq(F) snd_seq_device(F) snd_timer(F) i915 psmouse(F) mac80211 snd(F) video(F) drm_kms_helper soundcore(F) cfg80211 drm lpc_ich serio_raw(F) mei i2c_algo_bit mac_hid lp(F) parport(F) ahci(F) libahci(F)
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701651] Pid: 7, comm: kworker/u:0H Tainted: GF 3.8.0-14-generic #24-Ubuntu
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701654] Call Trace:
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701667] [<ffffffff810587df>] warn_slowpath_common+0x7f/0xc0
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701674] [<ffffffff810588dc>] warn_slowpath_fmt+0x4c/0x50
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701682] [<ffffffff8134f305>] ? strlcat+0x65/0x80
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701691] [<ffffffff81207db4>] sysfs_add_one+0xd4/0x100
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701699] [<ffffffff81207fd8>] create_dir+0x78/0xd0
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701708] [<ffffffff81208326>] sysfs_create_dir+0x86/0xe0
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701716] [<ffffffff813493cc>] kobject_add_internal+0x9c/0x220
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701723] [<ffffffff81351c51>] ? vsnprintf+0x461/0x640
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701731] [<ffffffff81349a1c>] kobject_add+0x6c/0xc0
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701740] [<ffffffff81452578>] ? device_private_init+0x28/0x90
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701747] [<ffffffff814526e6>] device_add+0x106/0x6c0
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701753] [<ffffffff81451117>] ? dev_set_name+0x47/0x50
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701777] [<ffffffffa042d5d4>] hci_conn_add_sysfs+0x44/0x80 [bluetooth]
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701795] [<ffffffffa0420210>] hci_conn_complete_evt.isra.49+0xd0/0x3a0 [bluetooth]
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701806] [<ffffffff815bb533>] ? __kfree_skb+0x43/0xa0
Mar 26 15:59:50 trunone-laptop kernel: [ 5582.701822] [<ffffffffa0422a50>] hci_event_packet+0x12e0/0x2a4...

Try the mainline kernel (http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8.6-raring/) - it works for me.

Hey folks, we're still seeing this on Chrome OS. We have a 100% reliable repro case:

- have Apple Magic Trackpad connected and working
- sleep/wake
- immediately click/rub fingers on trackpad
- panic!

We're tracking this at https://code.google.com/p/chromium/issues/detail?id=228937

We're planning to put in the hack listed, since it works for us, but we would like to let others know that, as far as we can see, this issue persists. If there is a fix not linked from here, we're eager to find it!

We are using the 3.8 bluetooth stack with a 3.4 kernel.

The latest kernel in raring could have a fix for this problem:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1168506

* HID: magicmouse: fix race between input_register() and probe()

Download full text (3.3 KiB)

Just had this problem again, even with latest raring kernel (3.8.0-19). I think this problem is related to the power info of HID devices. Right before the problem occurs there is a "driver failed to report capacity property" message for this device (Apple magic mouse):

[ 6626.030030] power_supply hid-7c:d1:c3:6b:17:08-battery: driver failed to report `capacity' property: -5
[ 6628.045292] ------------[ cut here ]------------
[ 6628.045304] WARNING: at fs/sysfs/dir.c:536 sysfs_add_one+0xd4/0x100()
[ 6628.045306] Hardware name: GJ378AA-ACP a6145.at
[ 6628.045309] sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:1d.3/usb8/8-2/8-2:1.0/bluetooth/hci0/hci0:22'
[ 6628.045311] Modules linked in: nls_iso8859_1 hid_magicmouse hid_apple hidp hid xt_multiport iptable_filter ip_tables x_tables pci_stub vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) vboxdrv(OF) parport_pc ppdev parport bnep rfcomm binfmt_misc btusb dm_crypt arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 snd_hda_codec_realtek gpio_ich snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer snd coretemp kvm_intel ath3k kvm bluetooth lpc_ich soundcore serio_raw btrfs zlib_deflate libcrc32c raid10 raid456 async_memcpy async_raid6_recov async_pq async_xor xor async_tx raid6_pq raid0 multipath linear raid1 usb_storage nouveau microcode mxm_wmi wmi video i2c_algo_bit ttm firewire_ohci drm_kms_helper firewire_core crc_itu_t drm ahci libahci e1000e
[ 6628.045398] Pid: 7, comm: kworker/u:0H Tainted: GF O 3.8.0-19-lowlatency #13-Ubuntu
[ 6628.045400] Call Trace:
[ 6628.045408] [<ffffffff8105a8df>] warn_slowpath_common+0x7f/0xc0
[ 6628.045412] [<ffffffff8105a9dc>] warn_slowpath_fmt+0x4c/0x50
[ 6628.045417] [<ffffffff8135b135>] ? strlcat+0x65/0x80
[ 6628.045421] [<ffffffff8120eab4>] sysfs_add_one+0xd4/0x100
[ 6628.045426] [<ffffffff8120ecd8>] create_dir+0x78/0xd0
[ 6628.045430] [<ffffffff8120f026>] sysfs_create_dir+0x86/0xe0
[ 6628.045435] [<ffffffff8135515a>] kobject_add_internal+0x9a/0x210
[ 6628.045439] [<ffffffff8135da81>] ? vsnprintf+0x461/0x640
[ 6628.045443] [<ffffffff8135579c>] kobject_add+0x6c/0xc0
[ 6628.045448] [<ffffffff8145e626>] device_add+0x106/0x6c0
[ 6628.045452] [<ffffffff8145d057>] ? dev_set_name+0x47/0x50
[ 6628.045467] [<ffffffffa036fc64>] hci_conn_add_sysfs+0x44/0x80 [bluetooth]
[ 6628.045479] [<ffffffffa0360715>] hci_conn_complete_evt.isra.49+0xd5/0x3b0 [bluetooth]
[ 6628.045484] [<ffffffff8101ce55>] ? native_sched_clock+0x15/0x80
[ 6628.045495] [<ffffffffa03655c8>] hci_event_packet+0x1a48/0x2c90 [bluetooth]
[ 6628.045501] [<ffffffff81046ac9>] ? default_spin_lock_flags+0x9/0x10
[ 6628.045512] [<ffffffffa035a1bb>] hci_rx_work+0x26b/0x2f0 [bluetooth]
[ 6628.045518] [<ffffffff816d859a>] ? _raw_spin_unlock_irq+0xa/0x40
[ 6628.045523] [<ffffffff81078437>] process_one_work+0x157/0x500
[ 6628.045527] [<ffffffff81079d1d>] worker_thread+0x16d/0x460
[ 6628.045532] [<ffffffff81079bb0>] ? busy_worker_rebind_fn+0x110/0x110
[ 6628.045536] [<ffffffff8107f890>] kthread+0xc0/0xd0
[ 6628.045540] [<ffffffff8107f7d0>] ? kthread_create_on_node+0x120/0x120
[ 6628.045544...

Read more...

James M. Leddy, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bios-outdated-1.40
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Medium
summary: - sysfs: cannot create duplicate filename '/class/bluetooth/hci0:1 2'
+ [ThinkPad X201s] sysfs: cannot create duplicate filename
+ '/class/bluetooth/hci0:1 2'
summary: - [ThinkPad X201s] sysfs: cannot create duplicate filename
+ 0a5c:217f [ThinkPad X201s] sysfs: cannot create duplicate filename
'/class/bluetooth/hci0:1 2'
Ilya Murav'jov (muravjov-il) wrote :
Download full text (12.2 KiB)

Have this bug with my Bluetooth mouse, aftere resume-wake and mouse activity. Workaround: before mouse activity turn off bluetooth connection via GUI, so bluetooth status icon does not have small padlock in it.

I tested issue with trusty and vivid kernels.

$ uname -a
Linux ilya-vaio 3.19.0-18-generic #18~14.04.1-Ubuntu SMP Wed May 20 09:38:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

[ 2158.421830] ------------[ cut here ]------------
[ 2158.421850] WARNING: CPU: 0 PID: 449 at /build/buildd/linux-lts-vivid-3.19.0/fs/sysfs/dir.c:31 sysfs_warn_dup+0x68/0x80()
[ 2158.421854] sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:
21'
[ 2158.421857] Modules linked in: hid_generic(E) hidp(E) hid xt_addrtype xt_conntrack ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_na
t nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 iptable_filter ip_tables x_tables nf_nat nf_conntrack bridge stp llc aufs(E) ctr ccm rfcomm(E) bnep(E) nls_iso8859_1 snd_hda_codec_hdmi(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) snd_hda_intel(E) snd_hda_controller(E) snd_hda_codec(E) snd_hwdep acer_wmi(E) sparse_keymap(E) snd_pcm intel_rapl(E) snd_seq_midi iosf_mbi snd_seq_midi_event x86_pkg_temp_thermal(E) intel_powerclamp(E) coretemp(E) kvm_intel arc4 kvm crct10dif_pclmul ath9k(E) crc32_pclmul ath9k_common(E) snd_rawmidi ghash_clmulni_intel uvcvideo(E) ath9k_hw(E) cryptd videobuf2_vmalloc(E) videobuf2_memops(E) ath(E) videobuf2_core(E) v4l2_common(E) videodev(E) media(E) joydev mac80211(E) rtsx_pci_ms(E) serio_raw ath3k(E) snd_seq memstick(E) btusb(E) bluetooth(E) cfg80211(E) snd_seq_device lpc_ich(E) snd_timer wmi(E) snd sony_laptop(E) soundcore shpchp(E) mac_hid(E) i915(E) video drm_kms_helper(E) drm(E) mei_me(E) i2c_algo_bit(E) mei(E) parport_pc ppdev lp parport rtsx_pci_sdmmc(E) psmouse ahci libahci r8169(E) mii rtsx_pci(E)
[ 2158.422000] CPU: 0 PID: 449 Comm: kworker/u17:2 Tainted: G E 3.19.0-18-generic #18~14.04.1-Ubuntu
[ 2158.422003] Hardware name: Sony Corporation SVT1312L1RS/VAIO, BIOS R0140D4 08/23/2012
[ 2158.422039] Workqueue: hci0 hci_rx_work [bluetooth]
[ 2158.422044] ffffffff81ab6080 ffff8802427aba58 ffffffff817adfa3 0000000000000000
[ 2158.422050] ffff8802427abaa8 ffff8802427aba98 ffffffff81074c2a 0000000000000206
[ 2158.422056] ffff880244b13000 ffff88024482df48 ffff8800a6c2a870 ffff88024416cae8
[ 2158.422063] Call Trace:
[ 2158.422077] [<ffffffff817adfa3>] dump_stack+0x45/0x57
[ 2158.422085] [<ffffffff81074c2a>] warn_slowpath_common+0x8a/0xc0
[ 2158.422091] [<ffffffff81074ca6>] warn_slowpath_fmt+0x46/0x50
[ 2158.422098] [<ffffffff81260ee8>] ? kernfs_path+0x48/0x60
[ 2158.422105] [<ffffffff81264858>] sysfs_warn_dup+0x68/0x80
[ 2158.422111] [<ffffffff812648fe>] sysfs_create_dir_ns+0x8e/0xa0
[ 2158.422123] [<ffffffff813a8afe>] kobject_add_internal+0xce/0x3f0
[ 2158.422130] [<ffffffff813a9010>] kobject_add+0x60/0xb0
[ 2158.422146] [<ffffffff814f1925>] device_add+0x125/0x650
[ 2158.422152] [<ffffffff814f0041>] ? dev_set_name+0x41/0x50
[ 2158.422191] [<ffffffffc069b7f1>] hci_conn_add_sysfs+0x51/0xd0 [bluetooth]
[ 2158.422224] [<ffffffffc0689392>] hci_event_packet+0x1962/0x...

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Ilya Murav'jov, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.